'use strict';


const prepareConfig = (base) => {

    const name = base.name; // microservice name
    /**
     * The service can work with specific cluster using config
     * When the details are provided all the calls from the service will to to this cluster.
     * Headers with credentials will be ignored
     * Credentials should be encoded in base64
     * @type {{credentials: {password: *, username: *, clientCertificate: *, clientKey: *, clusterCaCertificate: *, token: *}, host: *, name: *, protocol: *}}
     */
    base.cluster = {
        credentials: {
            password: process.env.CLUSTER_PASSWORD,
            username: process.env.CLUSTER_USERNAME,
            clientCertificate: process.env.CLUSTER_CLIENT_CERT,
            clientKey: process.env.CLUSTER_CLIENT_KEY,
            clusterCaCertificate: process.env.CLUSTER_CA_CERT ,
            token: process.env.CLUSTER_TOKEN
        },
        //REQUIRED!
        host: process.env.CLUSTER_HOST,
        name: process.env.CLUSTER_NAME,
        protocol: process.env.CLUSTER_PROTOCOL
    }

    base.userAgent = process.env.AGENT || 'io.codefresh';
};

module.exports = prepareConfig;