'use strict';

const _            = require('lodash');
const publishEvent = require('./../infra/eventbus').publishEvent;

function handler(account, user) {
    return function (event, data) {
        const dataToBeSent = {
            name: event,
            createdAt: new Date(),
            accountId: account._id,
            userId: user._id,
            props: _.omit(_.merge(data, {
                accountName: account.name,
                userName: user.userName
            }), ['accountId', 'userId'])
        };
        console.log(`Publishing ${event}, ${JSON.stringify(data)}`);
        publishEvent(event, dataToBeSent);
    }
}

module.exports = handler;