'use strict';

const Promise = require('bluebird');
const config  = require('../config');
const cflogs  = require('cf-logs');
cflogs.init(config.logger);
const logger  = cflogs.Logger("codefresh");


class Logging {

    constructor() {

    }

    init(config) {
        return Promise.resolve()
            .then(() => {

                // override the default console.log
                console.log   = function (message) {
                    logger.log('info', message);
                };
                console.error = function (message) {
                    logger.log('error', message);
                };
            });
    }

    stop() {
        return Promise.resolve();
    }
}


module.exports = new Logging();