'use strict';

const _ = require('lodash');

class StatusAnalyzer {
    constructor(resource, resourceType) {
        this._givenResource = resource;
        this._status        = this.getStatus();
        this._resource      = resourceType;
    }

    getStatus() {
        return this._givenResource.status;
    }

    analyze() {
        this._analyzed = _.merge({}, StatusAnalyzer.types.unknown, {
            message: `Cant analyze status for resource ${this._resource}`,
            givenStatus: this._status
        });
        return this._analyzed;
    }
}

StatusAnalyzer.types = {
    suceess: {
        status: 'SUCCESS'
    },
    failed: {
        status: 'FAILED'
    },
    warning: {
        status: 'WARNING'
    },
    inProgress: {
        status: 'IN_PROGRESS'
    },
    unknown: {
        status: 'UNKNOWN'
    }
};


module.exports = StatusAnalyzer;