'use strict';

const nativeEndpoint = require('./native.endpoints');
const fs = require('fs');
const path = require('path');

const CONTROLLERS_PATH = './internal';
const apis = fs.readdirSync(path.join(__dirname, CONTROLLERS_PATH));

const _    = require('lodash');


function createRoutes(app) {
    apis.forEach(api => {
        app.use(`/api/${api}`, require(`${CONTROLLERS_PATH}/${api}`).init());
    });

    nativeEndpoint.createRoute(app);

    return;
}

module.exports = {
    createRoutes
};
