'use strict';

const router           = require('express').Router();
const projectContoller = require('./controller');
const middlewares      = require('./../../../../infra/middleware');

function init() {
    router.use(middlewares.resolveNamespacesFromQuery);
    router.use((req, res, next) => {
        req.kubeResourceController = req.kubeManager.getServiceController.bind(req.kubeManager);
        next();
    });
    router.get('/', projectContoller.getAll.bind(projectContoller));

    router.post('/', projectContoller.create.bind(projectContoller));

    router.get('/:name', projectContoller.descibe.bind(projectContoller));

    router.delete('/:name', projectContoller.delete.bind(projectContoller));

    router.put('/:name', projectContoller.update.bind(projectContoller));

    return router;
}

module.exports = {
    init
};