'use strict';

const router            = require('express').Router();
const ResponseHandler   = require('./../../../helpers/ResponseHandler');
const KubeManager       = require('./../../../../lib/kube.manager');


function init() {
    
    router.post('/', (req, res, next) => {
        req.kubeManager.verifyCredentials()
            .then(ResponseHandler.respondWithResult(res))
            .finally(next);
    });

    return router;
}

module.exports = {
    init
};