'use strict';

class MatchFilter {
    constructor(key, value, exactly = false) {
        this._key   = key;
        this._value = value;
        this._exactly = exactly;
    }

    filter(data) {
        const keyExist = !!data[this._key];
        if(keyExist) {
            if (!this._exactly) {
                return this._value === data[this._key] ? {
                    [this._key]: data[this._key]
                } : undefined;
            }

            return new RegExp(this._value).test(data[this._key]) ? {
                [this._key]: data[this._key]
            } : undefined;
        }
    }
}

module.exports = MatchFilter;
